tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shailesh Vidyarthi" <svi...@bhelmpc.co.in>
Subject Re: Please Help: Tomcat 5.5.17 SSL Help
Date Fri, 23 Feb 2007 08:35:46 GMT
Halo!,

        I had a similar problem with ssl. Our platform is Window2000,
jdk1.5.0, Tomcat 5.5.20. I followed the instructions  given in url below and
Tomcat gave "https" service.  SSL works .

http://neeraj.name/2005/05/05/installing-ssl-on-tomcat

Please see whether it is of any help to you.
Regards

Shailesh
----- Original Message -----
From: "Blake Smith" <bls1002@ecu.edu>
To: <users@tomcat.apache.org>
Sent: Friday, February 23, 2007 8:04 AM
Subject: Please Help: Tomcat 5.5.17 SSL Help


> Hi,
>
>
>
> I am running a Red Hat Enterprise 4 Linux Server.  I have Tomcat installed
> under port 8080.  I have setup "iptables" to redirect all request for port
> 80 to 8080.  I also have Java JDK 1.5.0_10 installed.  The $CATALINA_HOME
> and $JAVA_HOME variables have been set inside /etc/profile.   Tomcat runs
in
> normal mode, and everything is working excellent.  The only issue I am
> having is getting Tomcat to server HTTPS.  I have followed the tutorial on
> how to use "keytool" and successfully generated an private key,
certificate,
> and then had the certificate signed by Verisign.  I then import the signed
> certificate with keytool.  I have uncommented the section within
server.xml
> and pointed it to the location of the keystore, and it's password.  I even
> changed the port from 8443 to 443 and the corresponding forwarding value
for
> 8080.  By the way Apache HTTP Server is not running on this machine.
>
> My iptables are setup to allow 80, 8080, and 443.  Yet I can't get Tomcat
to
> use SSL.  If anyone can please provided me with directions for getting
> tomcat to server SSL I would be most thankful.  Tomcat is running
> standalone.
>
>
>
> Im not sure if there is anything special I need to do with JSSE???
> Everything I can find states it as a requirement but since I am using JDK
> 1.5.0_10, it should already be included if my understanding is correct.
Is
> there anything special which needs to be done to use it in my version?
>
>
>
> Thanks in advance,
>
> Blake Smith
>
> bls1002@ecu.edu
>
>
>
>
>
>


---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message